#include<stdio.h>
#include<stdlib.h>
#include<math.h>
#include "orig.h"

#define init_rad 1

main()
{
  int cont=1;
  int size, radius=init_rad;
  int i, j;
  double **x;
  char f_name[10];
  FILE *fptr;

  strcpy(f_name, "gaus1.dat");

  while(radius<9){
    radius++;

    size=radius*2+1;
    x = (double **) calloc(size, sizeof(double *));
    for (i=0; i<size; i++)
      x[i] = (double *) calloc(size, sizeof(double));

    Calc_Gaus(x, radius);      

    f_name[4]='0'+radius;
    fptr=fopen(f_name, "w");

    fprintf(fptr, "radius=%d, size=%d\n", radius, size);
    for (i=0; i<=radius; i++){
      fprintf(fptr, "row %d\n", i);
      for (j=0; j<=radius; j++)
        fprintf(fptr, "%g ", x[i][j]);
      fprintf(fptr, "\n");
    }
    fprintf(fptr, "\n");

    fclose(fptr);

    for (i=0; i<size; i++)
        free(x[i]);

    free(x);
  }

}


void Calc_Gaus(double **gaus, int rad)
{
  int i,j;
  double total=0.0;

  for(i=-rad; i<=rad; i++)
    for (j=-rad; j<=rad; j++) {
      gaus[i+rad][j+rad]=4*exp(-(float)(i*i+j*j)/2.0);
      total+=gaus[i+rad][j+rad];
    }

  for(i=-rad; i<=rad; i++) 
    for (j=-rad; j<=rad; j++) 
      gaus[i+rad][j+rad]=gaus[i+rad][j+rad]/total;
}

